org.apache.ignite.internal.management.cache

## Class FindAndDeleteGarbageInPersistenceClosure

- java.lang.Object
- - org.apache.ignite.internal.management.cache.FindAndDeleteGarbageInPersistenceClosure

All Implemented Interfaces:
  Serializable, Callable<FindAndDeleteGarbageInPersistenceJobResult>, IgniteCallable<FindAndDeleteGarbageInPersistenceJobResult>

    public class FindAndDeleteGarbageInPersistenceClosure
    extends Object
    implements IgniteCallable<FindAndDeleteGarbageInPersistenceJobResult>

Class contains logic of finding data of already destroyed caches in running cache groups. Also, could cleanup this garbage in cache partitions and indexes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FindAndDeleteGarbageInPersistenceClosure(String[] grpNames, boolean deleteGarbage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FindAndDeleteGarbageInPersistenceJobResult` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindAndDeleteGarbageInPersistenceClosure

    public FindAndDeleteGarbageInPersistenceClosure(String[] grpNames,
                                                    boolean deleteGarbage)

Parameters:
  `grpNames` - Cache group names.
  `deleteGarbage` - Clean up garbage from partitions.

### Method Detail

#### call

    public FindAndDeleteGarbageInPersistenceJobResult call()
                                                    throws Exception

Specified by:
  `call` in interface `Callable<FindAndDeleteGarbageInPersistenceJobResult>`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023